Summary: GNOME Power Manager
Name: gnome-power
Version: 0.1.0
Release: 1
License: GPL
Group: Applications/System
Source: gnome-power-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
BuildPrereq: libgnomeui-devel, libglade2-devel, hal-devel, dbus-devel >= 0.30
Requires: gnome-mime-data, gnome-icon-theme, hal >= 0.5.00, kernel >= 2.6, control-center >= 2.0
Requires: dbus >= 0.30 
Requires: PowerManager

%description
GNOME Power Manager uses the information and facilities provided by HAL 
displaying icons and handling user callbacks in an interactive GNOME session. 
GNOME Power Preferences allows authorised users to set policy and 
change preferences.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-power.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done
/sbin/service messagebus restart

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/*
%{_datadir}/*
%{_sysconfdir}/gconf/schemas/*.schemas
%dir %{_sysconfdir}/dbus-1/system.d
%config %{_sysconfdir}/dbus-1/system.d/gnome-power.conf

%changelog
* Mon Jun 18 2005 Richard Hughes <richard@hughsie.com>
- New RPM version

%changelog
* Mon Apr 04 2005 Richard Hughes <richard@hughsie.com>
- initial packaging of 0.0.3

